package cn.yw.video.recordalarm.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywrecordcurrentstateDao")
public class YwrecordcurrentstateDao  extends BaseSqlMapDAO{

	/**
	 * 查询总数
	 */
	
	public Integer count_Ywrecordcurrentstate(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywrecordcurrentstate",map);
	}
	public Integer count_Ywrecordhistorystate(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywrecordhistorystate",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	
	public List<Map> query_Ywrecordcurrentstate(Map map) throws SQLException{
		return this.queryForPage("query_Ywrecordcurrentstate",map);
	}
	public List<Map> query_Ywrecordhistorystate(Map map) throws SQLException{
		return this.queryForPage("query_Ywrecordhistorystate",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Ywrecordcurrentstate(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywrecordcurrentstate",map);
	}
	
	
	// 查询历史记录
	public List<Map> getYwrecordHisState(Map map) throws SQLException{
		return this.queryForPage("getYwrecordHisState",map);
	}
}
